petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetTreeParent

get the parent of a point in the tree describing the point hierarchy (not the Sieve DAG)

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetTreeParent(DM dm, PetscInt point, PetscInt *parent, PetscInt *childID)

### Input Parameters

| dm | - the DMPlex object Many br
| point | - the query point Many br

### Output Parameters

| parent | - if not NULL, set to the parent of the point, or the point itself if the point does not have a parent Many br
| childID | - if not NULL, set to the child ID of the point with respect to its parent, or 0 if the point Many brdoes not have a parent Many br

Many br

### See Also

DMPlexSetTree(), DMPlexGetTree(), DMPlexGetTreeChildren()

Level:intermediate
Location:src/dm/impls/plex/plextree.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages